Page Summary
-
Permanently deleting a campaign requires it to be archived first by setting its entityStatus to
ENTITY_STATUS_ARCHIVED. -
The HTTP request to delete a campaign uses the DELETE method with specific advertiser and campaign IDs in the URL.
-
The request body must be empty when deleting a campaign.
-
A successful deletion results in an empty response body.
-
Deleting a campaign requires specific OAuth authorization scopes like
https://www.googleapis.com/auth/display-videoorhttps://www.googleapis.com/auth/display-video-mediaplanning.
Permanently deletes a campaign. A deleted campaign cannot be recovered. The campaign should be archived first, i.e. set entityStatus to ENTITY_STATUS_ARCHIVED, to be able to delete it.
HTTP request
DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/campaigns/{campaignId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
The ID of the advertiser this campaign belongs to. |
campaignId |
The ID of the campaign we need to delete. |
Request body
The request body must be empty.
Response body
If successful, the response body is empty.
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/display-videohttps://www.googleapis.com/auth/display-video-mediaplanning
For more information, see the OAuth 2.0 Overview.